Skip to content
GET /unified/emails/emails

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

created_atstring · date-time

The date and time the email was created

1 supported
Outlook Mail
supported
fromstring

Sender email address

1 supported
Outlook Mail
supported
subjectstring

Email subject

1 supported
Outlook Mail
supported
tostring[]

Recipient email addresses

1 supported
Outlook Mail
supported
has_attachments
1 supported
Gmail
supported
folderobject

The folder where the email is stored

1 supported
Outlook Mail
supported
idstring
required·

The unique identifier for a folder

is_draftboolean

Whether the email is saved as a draft (created but not sent yet).

Possible values:
falsetrue
1 supported
Outlook Mail
supported
updated_atstring · date-time

The date and time the email was last updated

1 supported
Outlook Mail
supported
formatstring

Content type of the email.

Possible values:
htmltext
1 supported
Outlook Mail
supported
userobject

The user whose messages are to be retrieved.

1 supported
Outlook Mail
supported
idstring
required·

The unique identifier of the user.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Emails

attachmentsobject[]

The attachments of the email

1 supported
Outlook Mail
supported
5 properties
content_typestring

The content type of the attachment

created_atstring · date-time

The time when the attachment was created

file_namestring

The attachment's name

file_urlstring

The URL to download the attachment

idstring

The unique identifier for the attachment

bccstring[]

BCC email addresses

1 supported
Outlook Mail
supported
ccstring[]

CC email addresses

1 supported
Outlook Mail
supported
contentobject
1 supported
Outlook Mail
supported
2 properties
typestring

Content type of the email

Possible values:
plain_texthtml
valuestring

The body of the email in the selected format

created_atstring · date-time

The date and time the email was created

1 supported
Outlook Mail
supported
folderobject

The folder where the email is stored

1 supported
Outlook Mail
supported
1 property
idstring

The unique identifier for a folder

fromstring

Sender email address

1 supported
Outlook Mail
supported
headersobject

Custom headers for the email

idstring

The unique identifier for the email

3 supported
Gmail
supported
Google
supported
Outlook Mail
supported
is_draftboolean

Indicates whether the email is saved as a draft (created but not sent yet). If true, the email is still edited or waiting to be sent

Possible values:
truefalse
1 supported
Outlook Mail
supported
prioritystring

Priority of the email

Possible values:
highnormallow
1 supported
Outlook Mail
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

reply_tostring[]

Reply-to email address

1 supported
Outlook Mail
supported
sent_atstring · date-time

The date and time the email was sent

1 supported
Outlook Mail
supported
subjectstring

Email subject

1 supported
Outlook Mail
supported
tostring[]

Recipient email addresses

1 supported
Outlook Mail
supported
updated_atstring · date-time

The date and time the email was last updated

1 supported
Outlook Mail
supported
urlsobject[]

The email's urls

1 supported
Outlook Mail
supported
2 properties
typestring

The email's URL type

urlstring

The email's URL

curl -X GET 'https://api.truto.one/unified/emails/emails?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/emails/emails?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/emails/emails"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'emails',
  'emails',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "emails",
        "emails",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())